<template>
  <div
    v-if="getShowLoader"
    class="container--loader">
    <div class="lds-ripple"><div></div><div></div></div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'Loader',
  computed: {
    ...mapGetters(['getShowLoader'])
  }

}
</script>

<style lang="sass">
.container--loader
  background: rgba(0,0,0,.6)
  z-index: 99
  display: flex
  align-items: center
  justify-content: center
  overflow: hidden
  position: fixed
  height: 100%
  width: 100%
.lds-ripple 
  display: inline-block
  position: relative
  width: 80px
  height: 80px

.lds-ripple div 
  position: absolute
  border: 4px solid #fff
  opacity: 1
  border-radius: 50%
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite

.lds-ripple div:nth-child(2) 
  animation-delay: -0.5s

@keyframes lds-ripple 
  0% 
    top: 36px
    left: 36px
    width: 0
    height: 0
    opacity: 1
  
  100% 
    top: 0px
    left: 0px
    width: 72px
    height: 72px
    opacity: 0

</style>